Search Results for

Show / Hide Table of Contents

# Class TabView.TabStyle

Describes render stylistic selections of a TabView

##### Inheritance

System.Object
TabView.TabStyle

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class TabStyle

### Properties

#### ShowBorder

True to show a solid box around the edge of the control. Defaults to true.

##### Declaration

    public bool ShowBorder { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### ShowTopLine

True to show the top lip of tabs. False to directly begin with tab text during rendering. When true header line occupies 3 rows, when false only 2. Defaults to true.

When TabsOnBottom is enabled this instead applies to the bottommost line of the control

##### Declaration

    public bool ShowTopLine { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

#### TabsOnBottom

True to render tabs at the bottom of the view instead of the top

##### Declaration

    public bool TabsOnBottom { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |